<?php

namespace Drp\NativeEventApp\FileUploads;

use Illuminate\Support\Manager as IlluminateManager;

class Manager extends IlluminateManager
{
    public function getDefaultDriver(): string
    {
        return config('native-event-app.files.driver');
    }

    public function createLocalDriver(): LocalDriver
    {
        return new LocalDriver;
    }

    public function createS3Driver(): S3Driver
    {
        return new S3Driver;
    }
}
