<?php

namespace Drp\NativeEventApp\Test\Support;

use Drp\NativeEventApp\Enums\ModuleType;
use Drp\NativeEventApp\Facades\ModuleRegistry;
use Nuwave\Lighthouse\Schema\TypeRegistry;
use Drp\NativeEventApp\Test\Support\Fakes\FakeModuleRegistry;

trait InteractsWithModules
{
    public function registerFakeModules()
    {
        ModuleRegistry::swap(new FakeModuleRegistry);
        app(TypeRegistry::class)->register(
            new ModuleType(ModuleRegistry::modulesForEnums())
        );
    }
}
