<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNavigationsTable extends TableMigration
{
    public function tableName(): string
    {
        return 'navigations';
    }

    public function up(): void
    {
        Schema::create($this->tableName(), static function (Blueprint $table): void {
            $table->increments('id');
            $table->unsignedInteger('event_id');
            $table->unsignedInteger('primary_id');
            $table->unsignedInteger('secondary_id');
            $table->unsignedInteger('menu_id');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists($this->tableName());
    }
}
