<?php

namespace Drp\NativeEventApp\Exceptions;

use Illuminate\Http\Response;
use Nuwave\Lighthouse\Exceptions\AuthenticationException;

class FailedAuthentication extends AuthenticationException
{
    public function isClientSafe(): bool
    {
        return true;
    }

    public function getCategory(): string
    {
        return 'auth';
    }

    public function extensionsContent(): array
    {
        return [
            'code' => (string) Response::HTTP_UNAUTHORIZED,
        ];
    }
}
