<?php

namespace Drp\NativeEventApp\FileUploads\Contracts;

use Drp\NativeEventApp\Models\FileUpload;

interface FileUploadDriver
{
    public function createUrl(string $uuid, string $expiry): array;

    public function storeReference(string $uuid, int $registrationId, ?string $type = null): FileUpload;

    public function getFileUrl(FileUpload $fileUpload): string;
}
