<?php

namespace Drp\NativeEventApp\Models\Concerns;

use Illuminate\Database\Eloquent\Relations\Relation;

trait Destinationable
{
    public static function bootDestinationable(): void
    {
        Relation::morphMap([
            'page' => self::getPageClass(),
        ]);
    }

    abstract public static function getPageClass(): string;
}
