<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class FileUpload extends Model
{
    /** @var string */
    protected $table = 'file_uploads';

    /** @var array */
    protected $fillable = [
        'uuid',
        'type',
        'disk',
        'path',
        'registration_id',
    ];

    public function registration(): BelongsTo
    {
        return $this->belongsTo(Registration::class, 'registration_id', 'id');
    }
}
