<?php

namespace Drp\NativeEventApp\Test\Support\Fakes;

use Drp\NativeEventApp\Modules\ModuleRegistry;
use Drp\NativeEventApp\Test\Support\Fakes\Modules\ContainerModule;
use Drp\NativeEventApp\Test\Support\Fakes\Modules\FakeModule;
use Drp\NativeEventApp\Test\Support\Fakes\Modules\ModuleWithDependency;

class FakeModuleRegistry extends ModuleRegistry
{
    /** @var array */
    protected $modules = [
        'fake_module' => FakeModule::class,
        'container_module' => ContainerModule::class,
        'module_with_dependency' => ModuleWithDependency::class
    ];
}